Subject: Re: [multimob] WG adoption call on draft-zuniga-multimob-pmipv6-ropt

From: "Thomas C. Schmidt" <[email-masked]>
Date: Tue, 06 Nov 2012 18:33:28 -0500

Hi Juan Carlos,

I was just browsing over the ropt draft and would like to add some 
comments that relate to my previous comments given a year ago (see below).

The status of the current document:

  * Section 3.5  "PMIPv6 enhancements" is now out, so the section 3 has 
returned to informational content.

  * IPv4 compatibility: You have added a section that simply points to 
RFC 6224 - however, I don't think situations are exactly comparable. RFC 
6224 relies on the GRE-tunnel infrastructure MN <-> MAG <-> LMA. This is 
not true for the MTMA, which does not have MN-specific state. I don't 
think it's a big issue, but currently the draft is not sound.

  * Section 4.1. "Extensions to Binding Update List Data Structure" is 
completely unclear ... seems not informational.

  * Section 4.3 - Direct routing remains nebulous and severely lacks 
content. I should pointer to the discussion of direct routing for 
sources http://tools.ietf.org/html/draft-ietf-multimob-pmipv6-source-02 
- using the different PIM protocols in a mobility regime is by no means 
so trivial.

  * Section 5. defines new "Dynamic IP Multicast Selector Option" ... 
this is out of scope for informational documents.

Best regards,

Thomas

On 09.12.2011 18:59, Thomas C. Schmidt wrote:
> Hi all,
>
> some feedback:
>
>   In general, I support adopting this document as a WG item - it
> presents two valid deployment scenarios. But I guess, the intended
> status should be informational, as this is just presenting deployment
> advice (I know, currently the document does more ...).
>
>   We've been discussing the two solutions (Multicast-Tunnelendpoint,
> direct routing) for quite a while and we should come to conclusions ...
> on the current document I only had a very brief look (apologies!).
>
>   Here are three comments:
>
>   1.) On the quick run, I cannot see what Section 3.5  "PMIPv6
> enhancements" really is needed for. I know, I should re-read this (no
> time now), still the MTM approach should work without protocol
> modifications, I guess.
>
>   2.) There should be a section / solution on IPv4 compatibility
> (including address collisions ...) as needed for PMIPv6.
>
>   3.) The direct routing section (4) is still rather superficial. It
> should explain in detail how to deploy protocols, e.g., PIM-SM in the
> presence of these PMIP tunnels ... just to avoid the confusion that has
> been evident on this list since Quebec ;) .
>
> That's only for a quick feedback,
>
> Thomas
>
>
>
> On 08.12.2011 14:53, Behcet Sarikaya wrote:
>> Hello all,
>>    There was consensus on the tunnel convergence solution draft in
>> Taipei.
>>   This mail is to confirm the consensus.
>>
>>
>> This document can be found at:
>> http://tools.ietf.org/id/draft-zuniga-multimob-pmipv6-ropt-01.txt
>>
>> This mail starts a WG adoption call on this draft.
>>
>> The intended status for this document is proposed standard.
>> If adopted, the draft will be named:
>>
>> draft-ietf-multimob-pmipv6-tunnel-convergence.
>>
>> Please your comments by December 15, 2011.
>>
>>
>> Chairs
>> _______________________________________________
>> multimob mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/multimob
>

-- 

Prof. Dr. Thomas C. Schmidt
° Hamburg University of Applied Sciences                   Berliner Tor 7 °
° Dept. Informatik, Internet Technologies Group    20099 Hamburg, Germany °
° http://www.haw-hamburg.de/inet                   Fon: +49-40-42875-8452 °
° http://www.informatik.haw-hamburg.de/~schmidt    Fax: +49-40-42875-8409 °

---

From: Juan Carlos Zuniga <[email-masked]>
Date: Wed, 7 Nov 2012 02:31:53 -0500

Hi Thomas,

Thanks for your comments. Please see in-line:

On Wed, Nov 7, 2012 at 1:57 AM, Zuniga, Juan Carlos <
[email-masked]> wrote:

>
>
> > -----Original Message-----
> > From: Thomas C. Schmidt [mailto:[email-masked]]
> > Sent: Tuesday, November 06, 2012 6:33 PM
> > To: Zuniga, Juan Carlos
> > Cc: [email-masked]
> > Subject: Re: [multimob] WG adoption call on draft-zuniga-multimob-
> > pmipv6-ropt
> >
> > Hi Juan Carlos,
> >
The document has been restructured as per the last presentation at IETF84.
There is no section 3.5 in the last two versions, so if you refer to the
current document please refer to version 02.

> > think it's a big issue, but currently the draft is not sound.
Indeed the MTMA does not have an MN-soecific state, so we will add text to
clarify the differences.

> > completely unclear ... seems not informational.
This was discussed at the last meeting and it was clarified that we are not
restricted by the charter, and that the status of the document could be
changed down the process. Please take a look at the minutes from IETF84 and
let's not have this discussion again.

> > - using the different PIM protocols in a mobility regime is by no means
This is one of the options described, so we can discuss if there is a
better option to achieve the same functionality in a better way.

> > this is out of scope for informational documents.
Please see comment from section 4.1 above